package somlib.som.descriptions;

import java.io.*;

public class MappingItem implements java.lang.Comparable {
/*
 * this class handles file communication for  SOM Mapping Files
 */

  /** Parameters:  **/
       //mandatory
  public int pos_x=-1;
  public int pos_y=-1;
  public String label=null;
  public double distance=-1;

  public MappingItem(int pos_x, int pos_y, String label, double distance) {
    this.pos_x = pos_x;
    this.pos_y = pos_y;
    this.label = label;
    this.distance = distance;
  }

  public MappingItem(String init) {
    java.util.StringTokenizer strtok=new java.util.StringTokenizer(init);
    pos_x = Integer.parseInt(strtok.nextToken() );
    pos_y = Integer.parseInt(strtok.nextToken() );
    label = strtok.nextToken();
    distance = Double.parseDouble(strtok.nextToken() );
  }

  public void writeDescr(BufferedWriter out) throws IOException, DescriptionException {
      out.write(pos_x+" "+pos_y+" "+label+" "+distance);
      out.newLine();
  }

  public int compareTo(java.lang.Object mpi) {
    return (pos_x - ((MappingItem)mpi).pos_x)*100000 + (pos_y - ((MappingItem)mpi).pos_y)*1000 + (int)(distance*100-((MappingItem)mpi).distance*100);
  }

}