package somlib.som.preprocess;

import somlib.som.descriptions.*;

public class PlainWriter extends ConverterWriter
/*
 * since the writing is handled in the abstract super-class, 
 * only the converting has to be handled here
 */
{

  public PlainWriter(Reader reader, somlib.textrepresentation.Logfile log, byte verbose) throws PreprocessException
  /*
   * the data to be converted and written has been read by a @reader
   */
  {
    super(reader, log, verbose);
  }

  public void convert()
  /*
   * no converting is done in this class
   */
  {
  }

}
