package somlib.som.tools;

import somlib.som.descriptions.*;

public class VectorInExtended extends somlib.som.descriptions.VectorIn {

  public VectorInExtended(String filename) throws DescriptionException {
    super(filename);
  }

// added by elias 30.12.2000
// needed to do the weight vector from document means thing (see details in somlib.som.tools.CreateWEightVectorFromMappedDocuments)
  public somlib.som.Vector[] getVectorsByLabels(String[] labels) throws DescriptionException {
    try {
      somlib.som.Vector[] v = new somlib.som.Vector[labels.length];
      for (int i=0;i<v.length;i++)
        v[i]=getVectorByLabel(labels[i]);
      return v;
    } catch (Exception e) {throw new DescriptionException("Error in VectorIn.getVectorsByLabel"+e.getMessage());}
  }
  public somlib.som.Vector getVectorByLabel(String label) throws DescriptionException {
    try {
      somlib.som.Vector v;
      for (int i=0;i<XDim;i++) if (labels[i].compareTo(label)==0) return new somlib.som.Vector(vecs[i],label);
      return null;
    } catch (Exception e) {throw new DescriptionException("Error in VectorIn.getVectorByLabel"+e.getMessage());}
  }

}