package somlib.textrepresentation.preprocess.email;

import somlib.textrepresentation.*;

/**
 * This exception is used by all the classes in email
 *
 * @author elias
 * @version 1.0 (18.08.1999)
 */
public class EMailException extends TextrepresentationException {

/*
 * Calls super with text "EMailException raised"
 */
  public EMailException() {
    super("EMailException raised.");
  }

/*
 * Calls super with specified text
 *
 * @param message the text with which super should be called
 */
  public EMailException(String message) {
    super(message);
  }

}
