package somlib.som.descriptions;

public class Err extends WeightVector {
/*
 * this class handles file communication for a  SOM Quantization Error Map
 */

  public Err(String type, int XDim, int YDim, int vec_dim, float[][][] vecs, String[][] labels) throws DescriptionException {
    super(type, XDim, YDim, vec_dim, vecs, labels);
  }

  public Err(Err err, float[][][] vecs, String[][] labels) throws DescriptionException {
    super(err, vecs, labels);
  }

  public Err(String filename) throws DescriptionException {
    super(filename);
  }

  public String endung() {
    return ".err";
  }

}
